Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorÆvar Arnfjörð Bjarmason <avarab@gmail.com>2011-05-21 22:44:25 +0400
committerJunio C Hamano <gitster@pobox.com>2011-05-21 22:57:18 +0400
commit0920925584f4a306daf723d1fbdf75c215755f09 (patch)
tree65aa1e42fa0a3eda62370a17b7d856612fd74a38 /git-bisect.sh
parent15eaa0494051ae2db7fbc357bd0f5b75d3e17a31 (diff)
i18n: git-bisect bisect_run + $@ messages
Gettextize bisect_run messages that use the $@ variable. Since it's subroutine local we have to provide an alias for it for eval_gettext. Signed-off-by: Ævar Arnfjörð Bjarmason <avarab@gmail.com> Signed-off-by: Junio C Hamano <gitster@pobox.com>
Diffstat (limited to 'git-bisect.sh')
-rwxr-xr-xgit-bisect.sh10
1 files changed, 7 insertions, 3 deletions
diff --git a/git-bisect.sh b/git-bisect.sh
index 8491490171..bc7e16eb84 100755
--- a/git-bisect.sh
+++ b/git-bisect.sh
@@ -380,14 +380,18 @@ bisect_run () {
while true
do
- echo "running $@"
+ command="$@"
+ eval_gettext "running \$command"; echo
"$@"
res=$?
# Check for really bad run error.
if [ $res -lt 0 -o $res -ge 128 ]; then
- echo >&2 "bisect run failed:"
- echo >&2 "exit code $res from '$@' is < 0 or >= 128"
+ (
+ eval_gettext "bisect run failed:
+exit code \$res from '\$command' is < 0 or >= 128" &&
+ echo
+ ) >&2
exit $res
fi